Subject: wu-ftpd and guestgroups

From: [email-masked] (Tom Lojewski)
Date: Tue, 28 Mar 1995 10:19:36 -0800 (PST)

Wu-ftpd Users,

It seems to be the case that a guestgroup account can only write to
herm own home directory, is that true?  Our requirement is that we use
the Internet to allow "guest" accounts to ftp in each guest's
$HOME/pub directory like this: /FTP/guests/theguest/pub.

The ownership on /FTP/guests/theguest/pub is 

              drwxrws--T  2  theguest  ftpadmin

The "ftpadmin" group is for internal users to maintain guest home
directories.  Because of the way I have permissions set up for
"/FTP/guests" and "/FTP/guests/theguests" I had to list ftpadmin in
the guestgroups as well.  So now, even though group "ftpadmin" has rwx
permission on the pub dir, ftpd won't allow users in that group to
write in that directory.  Is this by design?

--------------------------------------------------------------------------
Tom Lojewski  -  ACUSON Corp  -  Mountain View, CA - ([email-masked])